Package org.eclipse.microprofile.lra.tck.service

# Class LRATestService

java.lang.Object
org.eclipse.microprofile.lra.tck.service.LRATestService

@ApplicationScoped public class LRATestService extends Object

## Constructor Summary

Constructors
Constructor
Description
`LRATestService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`assertHeaderPresent(URI lraId, String path, String headerName)`
`LRAClientOps`
`getLRAClient()`
`jakarta.ws.rs.client.WebTarget`
`getTCKSuiteTarget()`
`boolean`
`isLRAFinished(URI lra)`
Returns whether the passed LRA is in finished state.
`boolean`
`isLRAFinished(URI lra, String resourceName)`
Returns whether the passed LRA and resource are in finished state.
`static <T> T`
`loadService(Class<T> type)`
`jakarta.ws.rs.core.Response`
`processAfterLRAInfo(URI endedLRAId, LRAStatus status, Class<?> resourceClass, String path)`
`void`
`start(URL deploymentURL)`
`void`
`stop()`
`void`
`waitForCallbacks(URI lraId)`
`void`
`waitForEndPhaseReplay(URI lraId)`
`void`
`waitForRecovery(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LRATestService

public LRATestService()

## Method Details

### start

public void start(URL deploymentURL)

### stop

public void stop()

### getLRAClient

public LRAClientOps getLRAClient()

### getTCKSuiteTarget

public jakarta.ws.rs.client.WebTarget getTCKSuiteTarget()

### waitForCallbacks

public void waitForCallbacks(URI lraId)

### waitForRecovery

public void waitForRecovery(URI lraId)

### waitForEndPhaseReplay

public void waitForEndPhaseReplay(URI lraId)

### loadService

public static <T> T loadService(Class<T> type)

### assertHeaderPresent

public void assertHeaderPresent(URI lraId, String path, String headerName)

### processAfterLRAInfo

public jakarta.ws.rs.core.Response processAfterLRAInfo(URI endedLRAId, LRAStatus status, Class<?> resourceClass, String path)

### isLRAFinished

public boolean isLRAFinished(URI lra, String resourceName)
Returns whether the passed LRA and resource are in finished state.

Parameters:
  `lra` - the LRA to test
  `resourceName` - name of the resource that the metrics parameter applies to
Returns:
  whether or not an LRA has finished

### isLRAFinished

public boolean isLRAFinished(URI lra)
Returns whether the passed LRA is in finished state.

Parameters:
  `lra` - the LRA to test
Returns:
  whether or not an LRA has finished